> For the complete documentation index, see [llms.txt](https://docs.threatdefence.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.threatdefence.com/endpoint-agent/installation-guides/linux-installation.md).

# Linux Agent

> **Note:**\
> Please check [Prerequisites and System Requirements](/endpoint-agent/prerequisites.md) before proceeding.

***

## Installation Steps

1. [Log in to the Customer Portal](https://portal.threatdefence.io/deployment/endpoint-agent) and select your tenant from the dropdown menu.\
   Your **Activation Code** will be displayed.
2. Choose your **Linux distribution**, then click **Generate Download Link**.

   ![Generate Download Link](https://4191868192-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FOlFHF8fl339QOw3Og8L7%2Fuploads%2Fgit-blob-1ab6b8964eb7b127bbb55389b44f3f79677a978c%2Fgendllink_6.png?alt=media)
3. Once the link is generated, either:

   * Click **Click Here to Download** to download the installer, or
   * Copy one of the **Install Scripts** from the panel that appears.

   ![Install Scripts](https://4191868192-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FOlFHF8fl339QOw3Og8L7%2Fuploads%2Fgit-blob-804dea68c1aa2aab2d8c31707951a2594f1fe459%2Flinux_installscripts.png?alt=media)
4. Transfer the downloaded installer to your Linux system (if downloaded), or run the commands from the **Install Scripts** panel.\
   For manual installation, run in your terminal:

```
chmod 755 TD_Endpoint.run
sudo ./TD_Endpoint.run install --activation_code ***your Activation Code***
```

5. The installer should complete, and provide output to your terminal.![Linux install done](https://4191868192-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FOlFHF8fl339QOw3Og8L7%2Fuploads%2Fgit-blob-b752b0166f6132a842430d9bced63311655e5f4f%2Fdone.png?alt=media)

### Advanced Options

#### Disable auto updates on installation:

```
chmod 755 TD_Endpoint.run
sudo ./TD_Endpoint.run install --activation_code ***your Activation Code*** --auto_update No
```

#### Use an explicit http proxy on installation:

```
chmod 755 TD_Endpoint.run
sudo https_proxy="http://PROXY_IP:PROXY_PORT" ./TD_Endpoint.run install --activation_code ***your Activation Code*** --proxy http://PROXY_IP:PROXY_PORT
```

#### Change auto update options after installation

**Enable:**

```
sudo /opt/TDAgent/tdcli/tdcli.bin enable-autoupgrade
```

#### Disable:

```
sudo /opt/TDAgent/tdcli/tdcli.bin disable-autoupgrade
```

### Uninstalling Linux Agent

Open your terminal and run the command: `sudo /opt/TDAgent/tdcli/tdcli.bin uninstall-all`

![Linux install uninstall](https://4191868192-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FOlFHF8fl339QOw3Og8L7%2Fuploads%2Fgit-blob-f51f9881bae0a32ead9954b60541dc6f79745780%2Flinux_uninstall.png?alt=media)

You should see the “Successfully uninstalled TDAgent” message as above.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.threatdefence.com/endpoint-agent/installation-guides/linux-installation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
